org.apache.hc.client5.http.protocol

## Class RequestAcceptEncoding

- java.lang.Object
- - org.apache.hc.client5.http.protocol.RequestAcceptEncoding

All Implemented Interfaces:
  org.apache.hc.core5.http.HttpRequestInterceptor

    @Immutable
    public class RequestAcceptEncoding
    extends Object
    implements org.apache.hc.core5.http.HttpRequestInterceptor

Class responsible for handling Content Encoding requests in HTTP.

Instances of this class are stateless, therefore they're thread-safe and immutable.

Since:
  4.1
See Also:
  "http://www.w3.org/Protocols/rfc2616/rfc2616-sec3.html#sec3.5"

### Constructor Summary

Constructors
Constructor and Description
`RequestAcceptEncoding()`
`RequestAcceptEncoding(List<String> encodings)`

### Method Summary

Methods
`void` `process(org.apache.hc.core5.http.HttpRequest request, org.apache.hc.core5.http.protocol.HttpContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestAcceptEncoding

    public RequestAcceptEncoding(List<String> encodings)

Since:
  4.4

#### RequestAcceptEncoding

    public RequestAcceptEncoding()

### Method Detail

#### process

    public void process(org.apache.hc.core5.http.HttpRequest request,
               org.apache.hc.core5.http.protocol.HttpContext context)
                 throws org.apache.hc.core5.http.HttpException,
                        IOException

Specified by:
  `process` in interface `org.apache.hc.core5.http.HttpRequestInterceptor`
Throws:
  `org.apache.hc.core5.http.HttpException`
  `IOException`